Subject: Re: Is there some way to suppress Cc email only to stable?

From: "Paul E. McKenney" <[email-masked]>
Date: Mon, 9 Feb 2015 13:10:21 -0800

On Mon, Feb 09, 2015 at 12:57:11PM -0800, Junio C Hamano wrote:
> "Paul E. McKenney" <[email-masked]> writes:
> 
> > I need to be able to put the following Cc in a git commit:
> >
> > Cc: <[email-masked]>
> >
> > Yet I cannot allow git-send-email to actually send email to that address,
> > lest I get an automated nastygram in response.  I found the --to-cmd=
> > option to git-send-email, but it looks to only add email addresses, never
> > delete them.  I also found the --suppress-cc= option to git-send-email,
> > but it appears to suppress all Cc emails, not just selected ones.
> >
> > One approach that occurred to me is to hand-edit the files produced
> > by git-format-patch, removing [email-masked] entirely prior to
> > using git-send-email.  However, this is a bit error-prone.  Yes, I could
> > script it, but with my luck, I will eventually end up having my script
> > mangle some patch, for example to the Linux kernel's MAINTAINERS file.
> > Furthermore, this approach means that people reviewing the patches
> > cannot see the Cc stable entries (though I could presumably comment them
> > out somehow).
> >
> > Another approach is to add the stable Ccs just before doing the pull
> > request, by my upstream maintainer is not fond of that approach.  Nor am
> > I, as it would be all to easy to forget to add the stable Ccs.  Or to
> > get them wrong.
> >
> > I can't be the only person wanting to do something like this.  So is
> > there some git option that I am missing here?
> 
> No, I do not think we have a way to blacklist certain recipient
> addresses from getting passed to the MTA, and I do not object to
> addition of such a mechanism if there is a valid need to do so.
> 
> It feels a bit too convoluted to say "Cc: to this address" in the
> log message and then "nonono, I do not want to send there", though.
> Why do you want to have Cc: in the log message if you do not want to
> send e-mail to that address in the first place?  Allowing the
> behaviour you are asking for would mean that those who see that the
> commit appeared on a branch would not be able to assume that the
> patch has already been sent to the stable review address, no?

I could see where it might seem a bit strange.  ;-)

The reason behind this is that you are not supposed to actually send
email to the stable lists until after the patch has been accepted into
mainline.  One way to make this work is of course to leave the stable
Cc tags out of the commit log, and to manually send an email when the
commit has been accepted.  However, this is subject to human error,
and more specifically in this case, -my- human error.

Hence the desire to have a Cc that doesn't actually send any email,
but that is visible in mainline for the benefit of the scripts that
handle the stable workflow.

							Thanx, Paul